#ifndef _MY_CHACON_CONTROLLER_H
#define _MY_CHACON_CONTROLLER_H

#include <inttypes.h>
#include "WProgram.h"

#define CHACON_DEBUG_MODE 0

class ChaconController
{

public:
	// Initialize the controller with the address (3 bytes)
	ChaconController(byte data_pin, byte a2, byte a1, byte a0); 
	// Sends a command to a specific device
	void sendCommand(byte device, byte state);
	
protected:
	byte data_pin;
	byte a2;
	byte a1;
	byte a0;
	unsigned long end_last_code;
	
	void sendMark(byte code);
	void sendByte(byte next_byte);
};

#endif

